.\"	$NetBSD: elanpex.4,v 1.3 2008/04/08 20:30:16 dyoung Exp $
.\"
.\"
.\" Copyright (c) 2008 David Young.  All rights reserved.
.\"
.\" Written by David Young.
.\"
.\" Redistribution and use in source and binary forms, with or
.\" without modification, are permitted provided that the following
.\" conditions are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above
.\"    copyright notice, this list of conditions and the following
.\"    disclaimer in the documentation and/or other materials
.\"    provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY DAVID YOUNG ``AS IS'' AND ANY
.\" EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
.\" THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
.\" PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL DAVID
.\" YOUNG BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
.\" EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED
.\" TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
.\" DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
.\" ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
.\" OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd January 10, 2008
.Dt elanpex 4 i386
.Os
.Sh NAME
.Nm elanpex
.Nd AMD Elan SC520 PCI Exception Instrumentation
.Sh SYNOPSIS
.Cd "elansc* at mainbus? bus ?"
.Cd "elanpex* at elansc?"
.Sh DESCRIPTION
The
.Nm
driver supports the PCI exception-reporting facilities of the AMD
Elan SC520 microcontroller's integrated PCI host controller.
.Sh DIAGNOSTICS
.Bl -ohang
.It Em PCI master exceptions
.Pp
The host controller may originate a transaction of type
.Em %s
on bus address
.Em %x
that fails for the following reasons:
.Bl -diag
.It elanpex0: %s %x master retry timeout
.It elanpex0: %s %x master target abort
.It elanpex0: %s %x master abort
.It elanpex0: %s %x master system error
.It elanpex0: %s %x master received parity error
.It elanpex0: %s %x master detected parity error
.El
.Pp
Transaction types include
.Bl -diag
.It i/o read
.It i/o write
.It memory rd
.It memory wr
.It cfg rd
.It cfg wr
.El
.It Em PCI target exceptions
.Pp
The host controller may be the target of a failed transaction of type
.Em %s
at bus address
.Em %x .
Failures may occur for the following reasons:
.Bl -diag
.It elanpex0: %s %x target delayed txn timeout
.It elanpex0: %s %x target address parity
.It elanpex0: %s %x target data parity
.El
.Pp
Transaction types are alike to failed master exceptions. 
.El
.Sh SEE ALSO
.Xr dmesg 8 ,
.Xr elanpar 4 ,
.Xr elansc 4 ,
.Xr syslogd 8 .
.Sh HISTORY
The
.Nm
device first appeared in
.Nx 5.0 .
.Sh AUTHORS
The
.Nm
driver was written by
.An David Young Aq dyoung@NetBSD.org .
